GET
/api/peers/{peerId}/accessible-peersList accessible Peers
Returns a list of peers that the specified peer can connect to within the network.
peerIdstringrequired
The unique identifier of a peer
200A JSON Array of Accessible Peers
idstringrequired
Peer ID
namestringrequired
Peer's hostname
city_namestringrequired
Commonly used English name of the city
connectedbooleanrequired
Peer to Management connection status
country_codestringrequired
2-letter ISO 3166-1 alpha-2 code that represents the country
dns_labelstringrequired
Peer's DNS label is the parsed peer name for domain resolution. It is used to form an FQDN by appending the account's domain to the peer label. e.g. peer-dns-label.netbird.cloud
geoname_idintegerrequired
Unique identifier from the GeoNames database for a specific geographical location.
ipstringrequired
Peer's IP address
ipv6stringoptional
Peer's IPv6 overlay address
last_seenstringrequired
Last time peer connected to Netbird's management service
osstringrequired
Peer's operating system and version
user_idstringrequired
User ID of the user that enrolled this peer
400Bad Request
401Requires authentication
403Forbidden
500Internal Server Error
Error handling
A 400 is returned: Bad Request. A 401 is returned: Requires authentication. A 403 is returned: Forbidden. A 500 is returned: Internal Server Error.